QR code themes
GET https://p9.lt/api/qr-code-themes/
curl --request GET \
--url 'https://p9.lt/api/qr-code-themes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://p9.lt/api/qr-code-themes/' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Details | Description |
|---|---|---|
| search | Optional String | The search string. |
| search_by | Optional String | What field are you searching by. Allowed values are: name. |
| datetime_field | Optional String | Allowed values: datetime, last_datetime |
| datetime_start | Optional String | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Optional String | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Optional String | What field to order the results by. Allowed values are: qr_code_theme_id, datetime, last_datetime, name. |
| order_type | Optional String | The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering. |
| page | Optional Integer | The page number that you want results from. Defaults to 1. |
| results_per_page | Optional Integer | How many results you want per page. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"name": "Example",
"settings": {
"style": "square",
"foreground_color": "#000000"
},
"preview": "https://p9.lt/uploads/qr_codes/logo/{preview}.svg",
"qr_code_logo": null,
"qr_code_background": null,
"qr_code_foreground": null,
"last_datetime": null,
"datetime": "2026-11-11 08:50:32"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://p9.lt/api/qr-code-themes?page=1",
"last": "https://p9.lt/api/qr-code-themes?page=1",
"next": null,
"prev": null,
"self": "https://p9.lt/api/qr-code-themes?page=1"
}
}
GET https://p9.lt/api/qr-code-themes/{qr_code_theme_id}
curl --request GET \
--url 'https://p9.lt/api/qr-code-themes/{qr_code_theme_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://p9.lt/api/qr-code-themes/{qr_code_theme_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example",
"settings": {
"style": "square",
"foreground_color": "#000000"
},
"preview": "https://p9.lt/uploads/qr_codes/logo/{preview}.svg",
"qr_code_logo": null,
"qr_code_background": null,
"qr_code_foreground": null,
"last_datetime": null,
"datetime": "2026-11-11 08:50:32"
}
}
POST https://p9.lt/api/qr-code-themes
| Parameters | Details | Description |
|---|---|---|
| name | Required String | - |
| settings | Required String | JSON object with QR code styling parameters. Updates preserve omitted settings. |
| source_qr_code_id | Optional Integer | Copy images from one of your QR codes. |
| qr_code_logo | Optional File | - |
| qr_code_background | Optional File | - |
| qr_code_foreground | Optional File | - |
| qr_code_logo_remove | Optional Boolean | - |
| qr_code_background_remove | Optional Boolean | - |
| qr_code_foreground_remove | Optional Boolean | - |
curl --request POST \
--url 'https://p9.lt/api/qr-code-themes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'settings={"style":"square","foreground_color":"#123456"}' \
--url 'https://p9.lt/api/qr-code-themes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'settings={"style":"square","foreground_color":"#123456"}' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example",
"settings": {
"style": "square",
"foreground_color": "#123456"
},
"preview": "https://p9.lt/uploads/qr_codes/logo/{preview}.svg",
"qr_code_logo": null,
"qr_code_background": null,
"qr_code_foreground": null,
"last_datetime": null,
"datetime": "2026-11-11 08:50:32"
}
}
POST https://p9.lt/api/qr-code-themes/{qr_code_theme_id}
| Parameters | Details | Description |
|---|---|---|
| name | Optional String | - |
| settings | Optional String | JSON object with QR code styling parameters. Updates preserve omitted settings. |
| source_qr_code_id | Optional Integer | Copy images from one of your QR codes. |
| qr_code_logo | Optional File | - |
| qr_code_background | Optional File | - |
| qr_code_foreground | Optional File | - |
| qr_code_logo_remove | Optional Boolean | - |
| qr_code_background_remove | Optional Boolean | - |
| qr_code_foreground_remove | Optional Boolean | - |
curl --request POST \
--url 'https://p9.lt/api/qr-code-themes/{qr_code_theme_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'settings={"foreground_color":"#654321"}' \
--url 'https://p9.lt/api/qr-code-themes/{qr_code_theme_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'settings={"foreground_color":"#654321"}' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example",
"settings": {
"style": "square",
"foreground_color": "#654321"
},
"preview": "https://p9.lt/uploads/qr_codes/logo/{preview}.svg",
"qr_code_logo": null,
"qr_code_background": null,
"qr_code_foreground": null,
"last_datetime": "2026-11-11 08:50:32",
"datetime": "2026-11-11 08:50:32"
}
}
DELETE https://p9.lt/api/qr-code-themes/{qr_code_theme_id}
curl --request DELETE \
--url 'https://p9.lt/api/qr-code-themes/{qr_code_theme_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://p9.lt/api/qr-code-themes/{qr_code_theme_id}' \
--header 'Authorization: Bearer {api_key}' \